Bug 269094 - Crash when starting app from Krusader
Summary: Crash when starting app from Krusader
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
: 274883 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-22 00:52 UTC by SiMH
Modified: 2011-12-10 04:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SiMH 2011-03-22 00:52:44 UTC
Application: krunner (0.1)
KDE Platform Version: 4.6.1 (4.6.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-28-generic-pae i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
The crash occured when I was trying to open a .doc from Krusader using a context menu -> open with option.

-- Backtrace:
Application: Interfejs do uruchamiania poleceń (krunner), signal: Segmentation fault
[Current thread is 1 (Thread 0xb288a720 (LWP 2178))]

Thread 8 (Thread 0xb0235b70 (LWP 2186)):
#0  0xb3640e36 in clock_gettime (clock_id=-1285271564, tp=0xb0234f80) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb5d4b50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0xb5e226e5 in QTimerInfoList::updateCurrentTime (this=0x9d87d5c) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb5e2272a in QTimerInfoList::timerWait (this=0x9d87d5c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb5e207a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb02350ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5e2083d in timerSourcePrepare (source=0x0, timeout=0xb3644ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb37b5e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb37b6279 in ?? () from /lib/libglib-2.0.so.0
#9  0xb37b6848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb5e2059f in QEventDispatcherGlib::processEvents (this=0x9d84368, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0xb5df0609 in QEventLoop::processEvents (this=0xb0235280, flags=) at kernel/qeventloop.cpp:149
#12 0xb5df0a8a in QEventLoop::exec (this=0xb0235280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb5cecb7e in QThread::exec (this=0x9d85268) at thread/qthread.cpp:490
#14 0xb5dcf35b in QInotifyFileSystemWatcherEngine::run (this=0x9d85268) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb5cefdf9 in QThreadPrivate::start (arg=0x9d85268) at thread/qthread_unix.cpp:266
#16 0xb3861cc9 in start_thread (arg=0xb0235b70) at pthread_create.c:304
#17 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa7ebbb70 (LWP 2553)):
#0  0xb3640e36 in clock_gettime (clock_id=-1285271564, tp=0xa7ebaf80) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb5d4b50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0xb5e226e5 in QTimerInfoList::updateCurrentTime (this=0xaf903334) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb5e2272a in QTimerInfoList::timerWait (this=0xaf903334, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb5e207a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa7ebb0ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5e2083d in timerSourcePrepare (source=0x0, timeout=0xb3644ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb37b5e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb37b6279 in ?? () from /lib/libglib-2.0.so.0
#9  0xb37b6848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb5e2059f in QEventDispatcherGlib::processEvents (this=0xaf90b8f8, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0xb5df0609 in QEventLoop::processEvents (this=0xa7ebb280, flags=) at kernel/qeventloop.cpp:149
#12 0xb5df0a8a in QEventLoop::exec (this=0xa7ebb280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb5cecb7e in QThread::exec (this=0x9e0c818) at thread/qthread.cpp:490
#14 0xb5dcf35b in QInotifyFileSystemWatcherEngine::run (this=0x9e0c818) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb5cefdf9 in QThreadPrivate::start (arg=0x9e0c818) at thread/qthread_unix.cpp:266
#16 0xb3861cc9 in start_thread (arg=0xa7ebbb70) at pthread_create.c:304
#17 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xa76bab70 (LWP 2557)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb38664dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb768ad9d in __pthread_cond_wait (cond=0x9d96f10, mutex=0x9d96ef8) at forward.c:139
#3  0xb5cf09c7 in wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb40b4520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9db1c80, th=0x9d8a1b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb40b7ccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9d9da58, th=0x9d8a1b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb40b3a4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9db1c80, th=0x9d8a1b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb40b7dc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0x9d8a1b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0x9d8a1b0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb40b7de1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0x9d8a1b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0x9d8a1b0, previous=0xa465dd8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb40b5e4e in ThreadWeaver::ThreadRunHelper::run (this=0xa76ba2e4, parent=0x9db1c80, th=0x9d8a1b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb40b656b in ThreadWeaver::Thread::run (this=0x9d8a1b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb5cefdf9 in QThreadPrivate::start (arg=0x9d8a1b0) at thread/qthread_unix.cpp:266
#15 0xb3861cc9 in start_thread (arg=0xa76bab70) at pthread_create.c:304
#16 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa6eb9b70 (LWP 2558)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb38664dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb768ad9d in __pthread_cond_wait (cond=0x9d96f10, mutex=0x9d96ef8) at forward.c:139
#3  0xb5cf09c7 in wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb40b4520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9db1c80, th=0x9d67528) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb40b7ccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9d9da58, th=0x9d67528) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb40b3a4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9db1c80, th=0x9d67528) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb40b7dc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0x9d67528) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0x9d67528, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb40b7de1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0x9d67528) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0x9d67528, previous=0x9ddec48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb40b5e4e in ThreadWeaver::ThreadRunHelper::run (this=0xa6eb92e4, parent=0x9db1c80, th=0x9d67528) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb40b656b in ThreadWeaver::Thread::run (this=0x9d67528) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb5cefdf9 in QThreadPrivate::start (arg=0x9d67528) at thread/qthread_unix.cpp:266
#15 0xb3861cc9 in start_thread (arg=0xa6eb9b70) at pthread_create.c:304
#16 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa66b8b70 (LWP 2559)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb38664dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb768ad9d in __pthread_cond_wait (cond=0x9d96f10, mutex=0x9d96ef8) at forward.c:139
#3  0xb5cf09c7 in wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb40b4520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9db1c80, th=0x9dfb568) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb40b7ccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9d9da58, th=0x9dfb568) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb40b3a4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9db1c80, th=0x9dfb568) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb40b7dc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0x9dfb568) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0x9dfb568, previous=0xa251888) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb40b5e4e in ThreadWeaver::ThreadRunHelper::run (this=0xa66b82e4, parent=0x9db1c80, th=0x9dfb568) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb40b656b in ThreadWeaver::Thread::run (this=0x9dfb568) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb5cefdf9 in QThreadPrivate::start (arg=0x9dfb568) at thread/qthread_unix.cpp:266
#13 0xb3861cc9 in start_thread (arg=0xa66b8b70) at pthread_create.c:304
#14 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa5eb7b70 (LWP 2560)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb38664dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb768ad9d in __pthread_cond_wait (cond=0x9d96f10, mutex=0x9d96ef8) at forward.c:139
#3  0xb5cf09c7 in wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9db1c98, mutex=0x9d8b3e8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb40b4520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9db1c80, th=0xa0d5f50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb40b7ccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9d9da58, th=0xa0d5f50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb40b3a4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9db1c80, th=0xa0d5f50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb40b7dc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9d9da58, th=0xa0d5f50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb40b4a23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9db1c80, th=0xa0d5f50, previous=0xa327040) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb40b5e4e in ThreadWeaver::ThreadRunHelper::run (this=0xa5eb72e4, parent=0x9db1c80, th=0xa0d5f50) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb40b656b in ThreadWeaver::Thread::run (this=0xa0d5f50) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb5cefdf9 in QThreadPrivate::start (arg=0xa0d5f50) at thread/qthread_unix.cpp:266
#13 0xb3861cc9 in start_thread (arg=0xa5eb7b70) at pthread_create.c:304
#14 0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa4582b70 (LWP 10527)):
#0  0xb38657df in __pthread_mutex_unlock_usercnt (mutex=0xa4cb104, decr=0) at pthread_mutex_unlock.c:77
#1  0xb768afa6 in pthread_mutex_unlock (mutex=0xa4cb104) at forward.c:184
#2  0xb37b44fb in g_main_context_release () from /lib/libglib-2.0.so.0
#3  0xb37b6473 in ?? () from /lib/libglib-2.0.so.0
#4  0xb37b6ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0xaa7249c4 in ?? () from /usr/lib/libgio-2.0.so.0
#6  0xb37dd48f in ?? () from /lib/libglib-2.0.so.0
#7  0xb3861cc9 in start_thread (arg=0xa4582b70) at pthread_create.c:304
#8  0xb767d69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb288a720 (LWP 2178)):
[KCrash Handler]
#7  0xb634a89f in QWidget::testAttribute_helper (this=0x9f96028, attribute=3068207092) at kernel/qwidget.cpp:10748
#8  0xb6fa3a1b in KMessageBox::sorry (parent=0x0, text=..., caption=..., options=...) at ../../kdeui/dialogs/kmessagebox.cpp:900
#9  0xb6deae7f in KSysGuardProcessList::killProcesses (this=0x9f96028, pids=..., sig=15) at ../../../../libs/ksysguard/processui/ksysguardprocesslist.cpp:1215
#10 0xb6deb6e4 in KSysGuardProcessList::killSelectedProcesses (this=0x9f96028) at ../../../../libs/ksysguard/processui/ksysguardprocesslist.cpp:1261
#11 0xb6ded715 in KSysGuardProcessList::qt_metacall (this=0x9f96028, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf828e08) at ./ksysguardprocesslist.moc:154
#12 0xb5df78ca in QMetaObject::metacall (object=0x9f96028, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbf828e08) at kernel/qmetaobject.cpp:237
#13 0xb5e0a6ad in QMetaObject::activate (sender=0xa42cb78, m=0xb6c8b704, local_signal_index=2, argv=0x10000000) at kernel/qobject.cpp:3280
#14 0xb6a68019 in QAbstractButton::clicked (this=0xa42cb78, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#15 0xb6727ff9 in QAbstractButtonPrivate::emitClicked (this=0xa2358d8) at widgets/qabstractbutton.cpp:546
#16 0xb67296f4 in QAbstractButtonPrivate::click (this=0xa2358d8) at widgets/qabstractbutton.cpp:539
#17 0xb67299ae in QAbstractButton::mouseReleaseEvent (this=0xa42cb78, e=0xbf829550) at widgets/qabstractbutton.cpp:1121
#18 0xb6357e08 in QWidget::event (this=0xa42cb78, event=0xbf829550) at kernel/qwidget.cpp:8187
#19 0xb6727e9e in QAbstractButton::event (this=0xa42cb78, e=0x0) at widgets/qabstractbutton.cpp:1080
#20 0xb67d5c22 in QPushButton::event (this=0xa42cb78, e=0xbf829550) at widgets/qpushbutton.cpp:683
#21 0xb62f9fdc in QApplicationPrivate::notify_helper (this=0x9c741a8, receiver=0xa42cb78, e=0xbf829550) at kernel/qapplication.cpp:4396
#22 0xb6300c2e in QApplication::notify (this=0x9c71e08, receiver=0xa42cb78, e=0xbf829550) at kernel/qapplication.cpp:3959
#23 0xb705a7da in KApplication::notify (this=0x9c71e08, receiver=0xa42cb78, event=0xbf829550) at ../../kdeui/kernel/kapplication.cpp:311
#24 0xb5df1b3b in QCoreApplication::notifyInternal (this=0x9c71e08, receiver=0xa42cb78, event=0xbf829550) at kernel/qcoreapplication.cpp:732
#25 0xb62ff094 in sendEvent (receiver=0xa42cb78, event=0xbf829550, alienWidget=0xa42cb78, nativeWidget=0x9f96028, buttonDown=0xb6c943c0, lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#26 QApplicationPrivate::sendMouseEvent (receiver=0xa42cb78, event=0xbf829550, alienWidget=0xa42cb78, nativeWidget=0x9f96028, buttonDown=0xb6c943c0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3058
#27 0xb638dd10 in QETWidget::translateMouseEvent (this=0x9f96028, event=0xbf829a6c) at kernel/qapplication_x11.cpp:4403
#28 0xb638d151 in QApplication::x11ProcessEvent (this=0x9c71e08, event=0xbf829a6c) at kernel/qapplication_x11.cpp:3414
#29 0xb63bc36a in x11EventSourceDispatch (s=0x9c7b040, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0xb37b2855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0xb37b6668 in ?? () from /lib/libglib-2.0.so.0
#32 0xb37b6848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0xb5e20565 in QEventDispatcherGlib::processEvents (this=0x9c54ba0, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#34 0xb63bbbe5 in QGuiEventDispatcherGlib::processEvents (this=0x9c54ba0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0xb5df0609 in QEventLoop::processEvents (this=0xbf829d64, flags=) at kernel/qeventloop.cpp:149
#36 0xb5df0a8a in QEventLoop::exec (this=0xbf829d64, flags=...) at kernel/qeventloop.cpp:201
#37 0xb5df500f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#38 0xb62f8e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#39 0xb7746cde in kdemain (argc=1, argv=0xbf829f34) at ../../krunner/main.cpp:65
#40 0x080485ab in main (argc=1, argv=0xbf829f34) at krunner_dummy.cpp:3

Possible duplicates by query: bug 232633.

Reported using DrKonqi
Comment 1 John Tapsell 2011-03-23 12:55:36 UTC
The backtrace says it actually crashed when you tried to kill a selected process in the System Activity - is that right?
Comment 2 John Tapsell 2011-03-24 01:10:14 UTC
Git commit 846700f962b803b5efc75d520265fc6408b699c1 by John Tapsell.
Committed on 24/03/2011 at 00:30.
Pushed by johnflux into branch 'master'.

Fix crash when killing a process

BUG:269094
BUG:261251

M  +7    -3    libs/ksysguard/processui/ksysguardprocesslist.cpp     

http://commits.kde.org/kde-workspace/846700f962b803b5efc75d520265fc6408b699c1
Comment 3 John Tapsell 2011-03-24 01:19:22 UTC
Git commit fc5993dde16f7403f10e171d13193a0db9473aaf by John Tapsell.
Committed on 24/03/2011 at 00:30.
Pushed by johnflux into branch 'KDE/4.6'.

Fix crash when killing a process

BUG:269094
BUG:261251

M  +7    -3    libs/ksysguard/processui/ksysguardprocesslist.cpp     

http://commits.kde.org/kde-workspace/fc5993dde16f7403f10e171d13193a0db9473aaf
Comment 4 SiMH 2011-03-24 10:38:01 UTC
(In reply to comment #1)
> The backtrace says it actually crashed when you tried to kill a selected
> process in the System Activity - is that right?

It may be. In that case however it was a pretty delayed crash, meaning that, afair, I killed some process, started krusader and tried to open a file and then it crashed.
Comment 5 Jekyll Wu 2011-12-10 04:26:42 UTC
*** Bug 274883 has been marked as a duplicate of this bug. ***